<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!Converted with LaTeX2HTML 95.1 (Fri Jan 20 1995) by Nikos Drakos (nikos@cbl.leeds.ac.uk), CBLU, University of Leeds >
<HEAD>
<TITLE> Setting of the X11 environment</TITLE>
</HEAD>
<BODY>
<meta name="description" value=" Setting of the X11 environment">
<meta name="keywords" value="sysadmin-guide">
<meta name="resource-type" value="document">
<meta name="distribution" value="global">
<P>
 <BR> <HR><A NAME=tex2html233 HREF="node16.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://wwwcn.cern.ch/icons/next_motif.gif"></A>   <A NAME=tex2html231 HREF="node12.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://wwwcn.cern.ch/icons/up_motif.gif"></A>   <A NAME=tex2html227 HREF="node14.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://wwwcn.cern.ch/icons/previous_motif.gif"></A>   <A NAME=tex2html235 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://wwwcn.cern.ch/icons/contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html234 HREF="node16.html"> Customising the scripts </A>
<B>Up:</B> <A NAME=tex2html232 HREF="node12.html"> Customising the scripts </A>
<B> Previous:</B> <A NAME=tex2html228 HREF="node14.html"> Actions performed by </A>
<BR> <HR> <P>
<H3><A NAME=SECTION00041300000000000000> Setting of the X11 environment</A></H3>
 <A NAME=customsingleX11>&#160;</A>
<P>
In order to set up the X11 environment, you must understand how the X session
is controlled. Figure <A HREF="node15.html#xsession">2</A> illustrates the possible behaviours
you can get from the customisation of the xsession.
<P>
<P><A NAME=589>&#160;</A><A NAME=xsession>&#160;</A><IMG  ALIGN=BOTTOM ALT="" SRC="img6.gif">
<BR><STRONG>Figure 2:</STRONG> Model of the <tt> HEP_Xsession</tt><BR>
<P>
<P>
The X11 environment provides a reasonable working default 
to the user through the so-called HEPiX Desktop 
(to be compared with the COSE/CDE, HP-VUE etc. desktops). <BR> 
<BR> 
Although the session management is still poor, this setting is a
way to solve resources problems caused by the too heavy COSE/CDE,
HP-VUE, etc. desktops. It will evolve with the technology and might enable
in the future a real X11R6 session manager (OK, this is one reason why it is
&quot;beta&quot; as well!!). <BR> 
<BR> 
Through the so-called Major Switches it is easy to customise the session at
the user level or for a machine, a site, a group of users, etc. 
in the same way as it is possible with the HEPiX shell scripts.<BR> 
<BR> 
There is a way to control what is and is not allowed. <BR> 
<BR> 
The major switch is the key idea for the customisation of the X11
environment. After a 4 months collaboration between CERN and DESY we
finally managed to understand how a theoretical X session should be
decomposed, and then we found a flexible way to handle this environment. <BR> 
<BR> 
You can then control the session with the following Major Switches:
<PRE>                 HX_WM            # the window manager: fvwm, mwm, etc.
                 HX_DESKTOP       # the desktop: CDE, HP-VUE, DXSESSION,HEPIX
                 HX_STARTUP       # the startup script: .xsession, 
                                  # HEP_xsession.default
                 HX_LAST_CLIENT   # the control or last client of the session
                                  # adam, xterm, window-manager, etc.
                 HX_ROOT_WINDOW   # the command which sends a root window
                                  # on your screen
                 HX_KEYBOARD      # the name of an xmodmap file
                 HX_SOURCEPROFILE # do you want to source your
                                  # user profile files or not 
                                  # (might be dangerous because of stty's)
</PRE>
<P>
Once the HEPiX scripts are installed have a look at the file 
<PRE>       /usr/local/lib/hepix/templates/xprofile
</PRE>
Table <A HREF="node11.html#fileslayout">3</A> 
tells you that if you customise a file <code>/etc/hepix/xprofile</code> you
can specify what is the default window manager for this system. You can
even specify that for this or that value of <code>HX_VENDOR</code> you want this
or that window manager.<BR> 
<BR> 
You can specify which are the clients which are started at the beginning
of the session in the file <code>/etc/hepix/xclients</code>. <BR> 
<BR> 
You can specify mandatory clients with the file <code>/etc/hepix/xclients.m</code>
which will be executed even if the user or the group levels don't want it
(so be careful when you set such a file)!<BR> 
<BR> 
Don't forget that you can use the tool <code>/usr/local/lib/hepix/tools/Xinfo</code>
to determine some characteristics of Xservers connecting to your system
and the uco -X11 command provides a menu which offers you the possibility
to fake the session. It produces a log file in <code>$HOME/.hepix/xsession.log</code>
and you can use this output to understand what would happen for users' sessions
when they connect to your system.<BR> 
<BR> 
As usual <tt> root</tt>, all users with <code>uid</code> less than 100, 
and users listed in <code>/etc/hepix/list-</code> don't get the HEPiX X11 scripts
but get what was provided by the vendor of your system.
Although you may not have the vendor default login panel, if you
login as <tt> root</tt>.<BR> 
<BR> 
If they are detected, PC Xservers will have a special setting if these are
Windows based Xservers.. Indeed <code>HX_WM=local</code>, because they are
going to use Windows as a window manager which optimises the
resources and integrates very well with Microsoft Windows. Of
course if you prefer fvwm, then you can specify it. <BR> 
<BR> 
The new assignments of port numbers are respected; the HEPiX scripts
append a fontpath from the port 7100 of your XFontServers which
you can specify in a list <code>/etc/hepix/font-servers</code> for example:<BR> 
<PRE>      xtsoft1
      xtsoft2
</PRE>
The HEPiX-X11 customisation of xdm doesn't set MAGIC-COOKIE
although the installation procedures gives some hints on how to do
this. There are many reasons for not doing it with the HEPiX scripts
and the best one is that, it is probably not the HEPiX scripts' role to 
setup the security (This is a very &quot;system&quot; level thing to do and requires 
some checks on some directories, etc. ). <BR> 
<BR> 
Keep in mind that: 
<DL COMPACT><DT>1
<DD> HEPiX X11 has been designed to cooperate with
   MAGIC-COOKIE and even an xhost - is started in the
   preliminary tasks of the session. 
<DT>2
<DD> it is recommended that you enable it.
<P>
 </DL>
<P>
It is possible that in the future the installation procedure installs
this feature. At CERN, an <i> xauth</i> feature of the SUE project will 
do it and will be effective by the end of 1995.
<P>
<BR> <HR><A NAME=tex2html233 HREF="node16.html"><IMG ALIGN=BOTTOM ALT="next" SRC="http://wwwcn.cern.ch/icons/next_motif.gif"></A>   <A NAME=tex2html231 HREF="node12.html"><IMG ALIGN=BOTTOM ALT="up" SRC="http://wwwcn.cern.ch/icons/up_motif.gif"></A>   <A NAME=tex2html227 HREF="node14.html"><IMG ALIGN=BOTTOM ALT="previous" SRC="http://wwwcn.cern.ch/icons/previous_motif.gif"></A>   <A NAME=tex2html235 HREF="node1.html"><IMG ALIGN=BOTTOM ALT="contents" SRC="http://wwwcn.cern.ch/icons/contents_motif.gif"></A>      <BR>
<B> Next:</B> <A NAME=tex2html234 HREF="node16.html"> Customising the scripts </A>
<B>Up:</B> <A NAME=tex2html232 HREF="node12.html"> Customising the scripts </A>
<B> Previous:</B> <A NAME=tex2html228 HREF="node14.html"> Actions performed by </A>
<BR> <HR> <P>
<BR> <HR>
<P><ADDRESS>
<I>Arnaud Taddei <BR>
Tue Dec 12 08:15:58 MET 1995</I>
</ADDRESS>
</BODY>
